Subject: Re: bug#72986: Disabling menu-bar-mode changes size of new frames

From: martin rudalics <[email-masked]>
Date: Thu, 31 Oct 2024 15:14:09 +0100

> Do let me
 > know if you'd like me to redo with the default menu bar setting,

Please do three things:

- Make the second frame with the default menu bar settings.

- Make the first frame where in an early-init.el file you disable the
   menu bar with a (menu-bar-lines . 0) entry in 'initial-frame-alist'.

- Make the second frame with menu bar mode disabled and any toolkit
   where the second frame has the normal size.

 > before I
 > reply to the rest of your questions, and apologies if this confused things.

There are no questions IIRC, just some speculations.  Obviously, if you
have any idea about how to include debug information (geometry, size
requests) from GTK too, then we should be able to get the whole picture.

Thanks, martin